## kpkpass 25.08.3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2017-2020 Volker Krause <vkrause@kde.org>
# SPDX-FileCopyrightText: 2018-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.5.3")
project(KPkPass VERSION ${PIM_VERSION})

set(KF_MIN_VERSION "6.13.0")
set(QT_REQUIRED_VERSION "6.8.0")
find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(CMAKE_CXX_STANDARD 20)

include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddTests)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMSetupVersion)
file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    src/*.cpp
    src/*.h
    autotests/*.cpp
    autotests/*.h
)
set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()
include(KDEInstallDirs)
include(KDECMakeSettings)
include(ECMGenerateExportHeader)

include(ECMCheckOutboundLicense)
file(
    GLOB_RECURSE ALL_SOURCE_FILES
    src/*.cpp
    src/*.h
    autotests/*.cpp
    autotests/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

include(ECMAddQch)

option(
    BUILD_QCH
    "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
    OFF
)
add_feature_info(
    QCH
    ${BUILD_QCH}
    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
)

ecm_setup_version(PROJECT VARIABLE_PREFIX KPKPASS
    VERSION_HEADER src/kpkpass_version.h
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6PkPassConfigVersion.cmake"
    SOVERSION 6
)

find_package(Qt6 ${QT_REQUIRED_VERSION} REQUIRED COMPONENTS Gui)
find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Archive)
if(NOT ANDROID)
    find_package(SharedMimeInfo 1.8 REQUIRED)
endif()

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)

option(
    USE_UNITY_CMAKE_SUPPORT
    "Use UNITY cmake support (speedup compile time)"
    OFF
)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()

add_subdirectory(src)
if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6PkPass")
if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim6PkPass_QCH
        FILE KPim6PkPassQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS
        "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6PkPassQchTargets.cmake\")"
    )
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimPkPassConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6PkPassConfig.cmake"
    INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6PkPassConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6PkPassConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(
    EXPORT KPim6PkPassTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KPim6PkPassTargets.cmake
    NAMESPACE KPim6::
)

=== debian/changelog ===
kpkpass (25.08.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Tue, 18 Nov 2025 21:22:32 +0100

=== debian/control ===
Source: kpkpass
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.13.0~),
               libkf6archive-dev (>= 6.13.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.8.0~),
               shared-mime-info (>= 1.8~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/pim/kpkpass
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpkpass
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpkpass.git
Rules-Requires-Root: no

Package: libkpkpass-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6archive-dev (>= 6.13.0~),
         libkpim6pkpass6 (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0~),
         ${misc:Depends},
Description: library for Apple Wallet Pass reader - development files
 This library provides an API for Apple Wallet Pass reader.
 .
 This package contains the development files.

Package: libkpim6pkpass6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: library for Apple Wallet Pass reader
 This library provides an API for Apple Wallet Pass reader.

## kpkpass 25.08.3+p24.04+vunstable+git20251203.0041

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,22 +3,24 @@
 # SPDX-License-Identifier: BSD-3-Clause
 
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.3")
+set(PIM_VERSION "6.6.40")
 project(KPkPass VERSION ${PIM_VERSION})
 
 set(KF_MIN_VERSION "6.13.0")
-set(QT_REQUIRED_VERSION "6.8.0")
+set(QT_REQUIRED_VERSION "6.9.0")
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
-set(CMAKE_CXX_STANDARD 20)
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 
 include(KDECompilerSettings NO_POLICY_SCOPE)
+include(KDEInstallDirs)
 include(ECMAddTests)
 include(ECMGenerateHeaders)
 include(ECMQtDeclareLoggingCategory)
 include(ECMDeprecationSettings)
 include(ECMFeatureSummary)
 include(ECMSetupVersion)
+include(ECMQmlModule)
 file(
     GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
     src/*.cpp
@@ -41,7 +43,6 @@
     include(KDEClangFormat)
     kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
 endif()
-include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(ECMGenerateExportHeader)
 
@@ -74,14 +75,14 @@
     SOVERSION 6
 )
 
-find_package(Qt6 ${QT_REQUIRED_VERSION} REQUIRED COMPONENTS Gui)
+find_package(Qt6 ${QT_REQUIRED_VERSION} REQUIRED COMPONENTS Gui Qml)
 find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Archive)
 if(NOT ANDROID)
     find_package(SharedMimeInfo 1.8 REQUIRED)
 endif()
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
 
 option(
     USE_UNITY_CMAKE_SUPPORT

=== debian/changelog ===
kpkpass (25.08.3+p24.04+vunstable+git20251203.0041-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Dec 2025 00:41:48 +0000

kpkpass (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:34:21 +1000

## kpkpass 25.08.3+p24.04+vunstable+git20251204.0120

=== debian/changelog ===
kpkpass (25.08.3+p24.04+vunstable+git20251204.0120-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 01:20:52 +0000

## kpkpass 25.08.3+p24.04+vunstable+git20251208.0219

=== debian/changelog ===
kpkpass (25.08.3+p24.04+vunstable+git20251208.0219-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 02:19:27 +0000

## kpkpass 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,13 +3,14 @@
 # SPDX-License-Identifier: BSD-3-Clause
 
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.40")
+set(PIM_VERSION "6.5.80")
 project(KPkPass VERSION ${PIM_VERSION})
 
 set(KF_MIN_VERSION "6.13.0")
-set(QT_REQUIRED_VERSION "6.9.0")
+set(QT_REQUIRED_VERSION "6.8.0")
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
+set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 
 include(KDECompilerSettings NO_POLICY_SCOPE)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2018 Volker Krause <vkrause@kde.org>
# SPDX-FileCopyrightText: 2019-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

set(KDE_INSTALL_INCLUDEDIR_PIM ${KDE_INSTALL_INCLUDEDIR}/KPim6)
add_library(KPim6PkPass)
add_library(KPim6::PkPass ALIAS KPim6PkPass)

qt_extract_metatypes(KPim6PkPass)

target_sources(
    KPim6PkPass
    PRIVATE
        barcode.cpp
        boardingpass.cpp
        field.cpp
        location.cpp
        pass.cpp
        pass.h
        pass_p.h
        passes.cpp
        location.h
        field.h
        boardingpass.h
        barcode.h
)

ecm_qt_declare_logging_category(KPim6PkPass
        HEADER logging.h
        IDENTIFIER KPkPass::Log
        CATEGORY_NAME org.kde.pkpass
        DESCRIPTION "KPkPass" EXPORT KPKPASS
)

ecm_generate_export_header(KPim6PkPass
    BASE_NAME KPkPass
    VERSION ${KPKPASS_VERSION}
    DEPRECATED_BASE_VERSION 0
    USE_VERSION_HEADER \"kpkpass_version.h\"
)

set_target_properties(
    KPim6PkPass
    PROPERTIES
        VERSION ${KPKPASS_VERSION}
        SOVERSION ${KPKPASS_SOVERSION}
        EXPORT_NAME PkPass
)
target_include_directories(
    KPim6PkPass
    INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_PIM}>"
)
target_link_libraries(KPim6PkPass PUBLIC Qt::Gui PRIVATE KF6::Archive)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KPim6PkPass PROPERTIES UNITY_BUILD ON)
endif()

ecm_generate_headers(KPkPass_HEADERS
    HEADER_NAMES
        Barcode
        BoardingPass
        Field
        Location
        Pass
        Passes
    REQUIRED_HEADERS KPkPass_HEADERS
)

install(
    TARGETS KPim6PkPass
    EXPORT KPim6PkPassTargets
    ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)
install(
    FILES
        ${KPkPass_HEADERS}
        ${CMAKE_CURRENT_BINARY_DIR}/kpkpass_export.h
        ${CMAKE_BINARY_DIR}/src/kpkpass_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_PIM}/KPkPass
)

if(NOT ANDROID)
    if (SharedMimeInfo_VERSION_STRING VERSION_LESS 2.2)
        install(
            FILES application-vnd-apple-pkpass.xml
            DESTINATION ${KDE_INSTALL_MIMEDIR}
        )
        update_xdg_mimetypes(${KDE_INSTALL_MIMEDIR})
    endif()
    if (SharedMimeInfo_VERSION_STRING VERSION_LESS 2.5)
        install(
            FILES application-vnd-apple-pkpasses.xml
            DESTINATION ${KDE_INSTALL_MIMEDIR}
        )
        update_xdg_mimetypes(${KDE_INSTALL_MIMEDIR})
    endif()
endif()

if(BUILD_QCH)
    ecm_add_qch(
        KPim6PkPass_QCH
        NAME KPim6PkPass
        BASE_NAME KPim6PkPass
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KPkPass_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        #IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt6Core_QCH
            Qt6Gui_QCH
            Qt6Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KPKPASS_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

ecm_qt_install_logging_categories(EXPORT KPKPASS FILE org_kde_kpkpass.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

add_subdirectory(quick)

=== src/quick/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-3-Clause

ecm_add_qml_module(kpkpassqmlplugin
    GENERATE_PLUGIN_SOURCE
    URI "org.kde.pkpass"
    DEPENDENCIES "QtCore" "QtQml"
    SOURCES
        types.cpp
        types.h
)

target_link_libraries(kpkpassqmlplugin PRIVATE Qt::Qml KPim6PkPass)

ecm_finalize_qml_module(kpkpassqmlplugin DESTINATION ${KDE_INSTALL_QMLDIR})

=== debian/changelog ===
kpkpass (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)
  * Update build-deps and deps with the info from cmake.
  * Add qml6-module-org-kde-pkpass

 -- Rik Mills <rikmills@kde.org>  Sat, 15 Nov 2025 21:08:26 +0000

kpkpass (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:17:12 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kpkpass
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -12,11 +13,12 @@
                libxkbcommon-dev,
                pkgconf,
                qt6-base-dev (>= 6.8.0~),
+               qt6-declarative-dev (>= 6.8.0~),
                shared-mime-info (>= 1.8~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/kpkpass
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpkpass
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpkpass.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpkpass
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpkpass
 Rules-Requires-Root: no
 
 Package: libkpkpass-dev
@@ -40,3 +42,11 @@
          ${shlibs:Depends},
 Description: library for Apple Wallet Pass reader
  This library provides an API for Apple Wallet Pass reader.
+
+Package: qml6-module-org-kde-pkpass
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Description: qml module for Apple Wallet Pass reader
+ This library provides an API for Apple Wallet Pass reader.

## kpkpass 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # SPDX-License-Identifier: BSD-3-Clause
 
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.80")
+set(PIM_VERSION "6.5.90")
 project(KPkPass VERSION ${PIM_VERSION})
 
 set(KF_MIN_VERSION "6.13.0")

=== debian/changelog ===
kpkpass (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:11:14 +0000

## kpkpass 25.12.0

=== debian/changelog ===
kpkpass (25.12.0-0zneon+24.04+noble+release+build28) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 11:59:41 +0000

kpkpass (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:30:10 +1000

## kpkpass 25.12.0+p24.04+vstable+git20251208.1200

=== debian/changelog ===
kpkpass (25.12.0+p24.04+vstable+git20251208.1200-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 12:00:26 +0000

## kpkpass 25.12.0+p24.04+vstable+git20251222.0153

=== debian/changelog ===
kpkpass (25.12.0+p24.04+vstable+git20251222.0153-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 22 Dec 2025 01:53:20 +0000

## kpkpass 25.12.0+p24.04+vunstable+git20251208.1200

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,14 +3,13 @@
 # SPDX-License-Identifier: BSD-3-Clause
 
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.90")
+set(PIM_VERSION "6.6.40")
 project(KPkPass VERSION ${PIM_VERSION})
 
 set(KF_MIN_VERSION "6.13.0")
-set(QT_REQUIRED_VERSION "6.8.0")
+set(QT_REQUIRED_VERSION "6.9.0")
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
-set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 
 include(KDECompilerSettings NO_POLICY_SCOPE)
@@ -83,7 +82,7 @@
 endif()
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.21.0)
 
 option(
     USE_UNITY_CMAKE_SUPPORT

=== debian/changelog ===
kpkpass (25.12.0+p24.04+vunstable+git20251208.1200-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 12:00:21 +0000

## kpkpass 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,13 +3,14 @@
 # SPDX-License-Identifier: BSD-3-Clause
 
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.40")
+set(PIM_VERSION "6.6.1")
 project(KPkPass VERSION ${PIM_VERSION})
 
 set(KF_MIN_VERSION "6.13.0")
-set(QT_REQUIRED_VERSION "6.9.0")
+set(QT_REQUIRED_VERSION "6.8.0")
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
+set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 
 include(KDECompilerSettings NO_POLICY_SCOPE)
@@ -82,7 +83,7 @@
 endif()
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.21.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
 
 option(
     USE_UNITY_CMAKE_SUPPORT

=== debian/changelog ===
kpkpass (25.12.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 20 Jan 2026 21:38:28 +0100

kpkpass (25.12.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3 (No changes needed).
  * New binary package qml6-module-org-kde-pkpass.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Fri, 09 Jan 2026 22:03:40 +0100

kpkpass (25.08.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 03 Dec 2025 18:00:01 +0100

=== debian/control ===
Source: kpkpass
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.13.0~),
               libkf6archive-dev (>= 6.13.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.8.0~),
               shared-mime-info (>= 1.8~),
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/pim/kpkpass
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpkpass
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpkpass.git
Rules-Requires-Root: no

Package: libkpkpass-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6archive-dev (>= 6.13.0~),
         libkpim6pkpass6 (= ${binary:Version}),
         qml6-module-org-kde-pkpass (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0~),
         ${misc:Depends},
Description: library for Apple Wallet Pass reader - development files
 This library provides an API for Apple Wallet Pass reader.
 .
 This package contains the development files.

Package: libkpim6pkpass6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: library for Apple Wallet Pass reader
 This library provides an API for Apple Wallet Pass reader.

Package: qml6-module-org-kde-pkpass
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: QML module for the Apple Wallet Pass reader
 This library provides an API for Apple Wallet Pass reader.
 .
 This package contains the QML module.

## kpkpass 25.12.1+p24.04+vstable+git20260106.1430

=== debian/changelog ===
kpkpass (25.12.1+p24.04+vstable+git20260106.1430-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 14:30:38 +0000

kpkpass (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:18:39 +1000

## kpkpass 25.12.1+p24.04+vstable+git20260111.0132

=== debian/changelog ===
kpkpass (25.12.1+p24.04+vstable+git20260111.0132-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 11 Jan 2026 01:32:31 +0000

## kpkpass 25.12.2

=== debian/changelog ===
kpkpass (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Sun, 08 Feb 2026 16:42:28 +0000

kpkpass (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:10:53 +0000

kpkpass (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:29:14 +0000
